package com.endeavour.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import com.endeavour.model.Artista;

public class ArtistaDAO {
	private Connection con;

	public ArtistaDAO() {

	}

	public List<Artista> getLista() throws SQLException {

		this.con = ConnectionFactory.getConnection();

		PreparedStatement stmt = this.con
				.prepareStatement("select * from Artistas");
		ResultSet rs = stmt.executeQuery();

		List<Artista> Artistas = new ArrayList<Artista>();

		while (rs.next()) {
			// criando o objeto Artista
			Artista Artista = new Artista();
			Artista.setCodartista(rs.getLong("codartista"));
			Artista.setNome(rs.getString("nome"));
			// adicionando o objeto à lista
			Artistas.add(Artista);
		}

		rs.close();
		stmt.close();

		return Artistas;
	}

}
