<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>


<html xmlns="http://www.w3.org/1999/xhtml" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<title>Endeavour</title>
<%@ include file="include.jsp" %>
</head>
<body>
<f:loadBundle basename="form.bundles.login" var="logBundle" />
<f:view>
	<h:form>    	
		<div id="conteudo">
	    <%@ include file="topo.jsp" %>
			<div id="login">
		  	<fieldset>
		   		<legend>Login</legend>
		   		<label for="nome">Email</label> 
		   		<h:inputText id="email" value="#{loginForm.email}" 
		   			maxlength="100" validator="#{loginForm.validarEmail}"/>		   					   	
		   		<label for="tipo">Senha</label> 
		   		<h:inputSecret id="senha" value="#{loginForm.senha}" 
		   			maxlength="30" validator="#{loginForm.validarSenha}"/>		   	
				<p>
		   	  		<h:commandButton value="#{logBundle.submit}" 
		   	  			action="#{loginForm.login}" />		   	  		
		   		</p>
		   	</fieldset>
		  	</div>
		</div> 
    </h:form>
    <div id="erro">
    	<h:messages showSummary="true" showDetail="false" layout="table"/>
    </div>
</f:view>
</body>
</html>
