package com.endeavour.controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.endeavour.dao.MusicaDAO;
import com.endeavour.model.Musica;

public class AtualizaLetra implements BusinessLogic {
	public void execute(HttpServletRequest request, HttpServletResponse response)
			throws Exception {

		MusicaDAO musicaDAO = new MusicaDAO();

		Musica musica = new Musica();
		musica.setCodmusica(Integer.parseInt(request.getParameter("codmusica")));
		musica.setTxtletra(request.getParameter("txtletra"));
		
		musicaDAO.atualiza(musica);

		request.setAttribute("ajax_str", "Letra atualizada com sucesso!");

		dispatch("/ajax_output.jsp", request, response);
	}

	private void dispatch(String jsp, HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher rd = request.getRequestDispatcher(jsp);
		rd.forward(request, response);
	}

}