<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<jsp:useBean
	id="artistaDAO" class="com.endeavour.dao.ArtistaDAO" />
<jsp:useBean id="musicaDAO" class="com.endeavour.dao.MusicaDAO" />

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<title>Endeavour</title>
<%@ include file="include.jsp"%>
</head>
<body>
<form method="post" action="mvc">
<div id="conteudo">
<%@ include file="topo.jsp"%>
<p id="hint">Selecione um artista e lbum no menu.</p>
<div id="div_controles">
<table>
	<tr valign="bottom">
		<td><div id="div_codartista">
<label for="Artista">Artista</label><br/>
<select name="codartista"
	id="codartista">
	<option value="0">Selecione</option>
	<c:forEach var="artista" items="${artistaDAO.lista}">
		<option value="${artista.codartista}">${artista.nome}</option>
	</c:forEach>
</select>
</div></td>
		<td><div id="div_codalbum">
<label for="Album">lbum</label><br/><select name="codalbum"
	id="codalbum"></select>
</div></td>
		<td><input type="button" id="grava" value="Salvar"/><input type="hidden" id="codmusica" value=""/></td>
	</tr>
</table>
</div>
<table border="0" cellpadding="0" cellspacing="0" class="listagem">
	<tr>
		<td><ol id="container_tracks" class="track">
</ol></td>
		<td><textarea id="letra"></textarea></td>
	</tr>
</table>
<p><a href="mvc?choice=CadastroMusica">Novo cadastro</a></p>
</div>
</form>
<script type="text/javascript">
function carrega_letra(codmusica) {
	$('#grava').show();
	$('#codmusica').val(codmusica);
	$('#hint').text('Edite a letra no campo de texto. Clique em Salvar para gravar no sistema.');
	$.getJSON('mvc?choice=PegaLetra&codmusica=' + codmusica,
	function(data) {
		$('#letra').fadeOut(250,function() {
			$(this).val(data.txtletra).fadeIn(250).select();
		});
	});
}

function callback_muda_artista() {
		$('#codartista').change(
				function() {
					$('#grava').hide();
					$('#letra').hide();
					$('#hint').text('Selecione um artista e lbum no menu.');
					$('#container_tracks').slideUp('slow').empty();
					$.getJSON('mvc?choice=MudaArtista&codartista=' + $(
							'#codartista option:selected').val(),
							function(data) {
								$('#codalbum').empty();
								for ( var i = 0; i < data.length; i++) {
									$('#codalbum').append(
											"<option value='"
													+ data[i].codalbum
													+ "'>"
													+ data[i].nome
													+ "</option>");
								}
							})
				});
}

function callback_muda_album() {
    $('#codalbum').change(
            function() {
            $.getJSON('mvc?choice=MudaAlbum&codalbum=' + $(
            '#codalbum option:selected').val(),
            function(data) {
                $('#container_tracks').slideUp('slow',function () {
                        $(this).empty();
                        $('#letra').val("");
                        for (var i = 0; i < data.length; i++) {
                            $(this).append(
                                    "<li codmusica=" + data[i].codmusica + ">" + data[i].titulo + "</li>");
                        }
                        $(this).slideDown('slow',function () {
                                $('#letra').show();
                                $(this).children().attr('clicked',0).click(function () {
                                    $('#container_tracks').children()
                                        .css('color','#FFF').css('background-color','#99F').attr('clicked',0);
                                    $(this)
                                        .css('color','#000').css('background-color','#66F')
                                        .attr('clicked',1);
                                    carrega_letra($(this).attr('codmusica'));
                                    $(this).animate({opacity:1},100).css('color','#FFF');
                                    })
                                    .hover(function () {
                                        if ($(this).attr('clicked')==0)
                                            $(this).animate({opacity:0.4},100).css('color','#000');
                                    },
                                    function () {
                                        $(this).animate({opacity:1},100).css('color','#FFF');
                                    }
                                    );
                            });
                        $('#hint').text('Clique em uma msica para editar a letra.');
                        });
            });
        });
}

$(document).ready(
		function() {
			$('#letra').hide();
			$('#grava').hide();
			callback_muda_artista();
			callback_muda_album();
			$('#grava').click(function () {
					 $.post('mvc?choice=AtualizaLetra', {codmusica: $('#codmusica').val(), txtletra: $('#letra').val()}, 
					   function(data) {
					     $('#hint').text(data);
					   }
					 ); 
				});
		}
);
</script>
</body>
</html>

